name: diplomaticquarterapp
description: A new Flutter application.

version: 4.5.061+4050061

environment:
  sdk: ">=3.0.0 <3.13.0"

dependencies:
  flutter:
    sdk: flutter

  # Localizations
  flutter_localizations:
    sdk: flutter
  intl: ^0.18.1

  webview_flutter: ^2.0.4

  # http client
  http: ^0.13.4
  #connectivity: ^3.0.6
  connectivity_plus: ^5.0.1
  async: ^2.8.1

  audio_wave: ^0.1.4
  #  audio_session: ^0.1.13
  # State Management
  provider: ^6.0.5

  #Dependency Injection
  get_it: ^7.2.0

  #Google Fit & Apple HealthKit
  health: ^3.0.3

  #chart
  fl_chart: ^0.64.0


  #Camera Preview
  camera: ^0.10.1

  # Permissions
  permission_handler: ^11.1.0

  # Flutter Html View
  flutter_html: ^3.0.0-beta.2

  # Pagnation
  pull_to_refresh: ^2.0.0

  # Native
  local_auth: ^2.1.7
  localstorage: ^4.0.0+1
  maps_launcher: ^2.0.1
  url_launcher: ^6.0.15
  shared_preferences: ^2.0.0
  #  flutter_flexible_toast: ^0.1.4
  fluttertoast: ^8.0.8
  firebase_messaging: 14.1.0
  firebase_analytics: ^10.0.5
  # Progress bar
  flutter_progress_hud: ^2.0.2
  percent_indicator: ^4.2.3

  # Icons
  font_awesome_flutter: any
  cupertino_icons: ^1.0.0

  # Image Attachments
  image_picker: ^1.0.4

  #GIF image
  #  flutter_gifimage: ^1.0.1
  #flutter_gif: any
  photo_view: any
  gif_view: ^0.3.1
  #  flutter_webrtc:  any

  # UI Reqs
  expandable: ^5.0.1

  # charts
  flutter_charts: ^0.5.2
  google_maps_flutter: ^2.1.1

  # Huawei
  huawei_map: ^6.11.0+304
  huawei_push: ^6.5.0+300

  # Qr code Scanner TODO fix it
  location: ^5.0.3
  barcode_scan2: ^4.2.2

  # Rating Stars
  flutter_rating_bar: ^4.0.1

  # Calendar
  syncfusion_flutter_calendar: ^23.1.42

  # SVG Images
  flutter_svg: ^2.0.8

  #Calendar Events
  manage_calendar_events: ^2.0.3

  #InAppBrowser
  flutter_inappwebview: ^5.8.0

  #Circular progress bar for reverse timer
  circular_countdown_timer: ^0.2.0

  #Just Audio to play ringing for incoming video call
  just_audio: ^0.9.30

  #hijri
  hijri: ^3.0.0

  #datetime_picker
  flutter_datetime_picker_plus: ^2.1.0
  carousel_pro_nullsafety: ^2.0.0
  flutter_local_notifications: any
  device_calendar: ^4.3.2
  geolocator: ^9.0.2
  geocoding: ^2.0.1
  jiffy: ^6.2.1

  #Flutter WebRTC
  #flutter_webrtc: ^0.9.7
  screen_brightness: ^0.2.2+1
  google_maps_place_picker_mb: ^3.0.0
  map_launcher: ^3.0.1
  flutter_countdown_timer: ^4.1.0
  #Dependencies for video call implementation
  native_device_orientation: ^1.0.0
  wakelock: ^0.6.2
  after_layout: ^1.1.0
  cached_network_image: ^3.3.0
  flutter_tts: ^3.6.1
  vibration: ^1.7.3
  flutter_nfc_kit: ^3.3.1
  #geofencing: any
  speech_to_text: ^6.1.1

  in_app_update: ^4.2.2

  in_app_review: ^2.0.3

  badges: ^3.1.2
  flutter_app_icon_badge: ^2.0.0
#  dropdown_search: 5.0.6
  youtube_player_flutter: ^8.1.2

#  shimmer: ^3.0.0
  carousel_slider: ^4.0.0
#  flutter_staggered_grid_view: ^0.7.0
  huawei_hmsavailability: ^6.11.0+301
  huawei_location: ^6.11.0+301
  share_plus: ^6.3.4
  # Marker Animation
  auto_size_text: ^3.0.0
  equatable: ^2.0.3
  wave: ^0.2.0
  sms_otp_auto_verify: ^2.1.0
#  flutter_ios_voip_kit: ^0.1.0
  google_api_availability: ^5.0.0
  open_filex: ^4.3.2
  path_provider: ^2.0.8
  amazon_payfort: ^1.1.0
  logger: ^2.0.2+1
  network_info_plus: any

  flutter_zoom_videosdk: ^1.10.11
  dart_jsonwebtoken: ^2.14.0

dependency_overrides:

dev_dependencies:
  flutter_test:
    sdk: flutter
  build_runner: ^2.1.5


flutter:
  uses-material-design: true
  assets:
    - assets/
    - assets/images/
    - assets/images/map_markers/
    - assets/images/pharmacy/
    - assets/images/medical/
    - assets/images/new-design/
    - assets/images/login/
    - assets/images/SmartWatches/
    - assets/images/DQ/
    - assets/images/BMI/
    - assets/json/
    - assets/sounds/
    - assets/images/svg/
    - assets/tracker/
    - assets/images/AlHabibMedicalService/
    - assets/images/AlHabibMedicalService/health_calculator/
    - assets/images/pharmacy_module/
    - assets/images/gif/
    - assets/images/pharmacy_module/payment/
    - assets/images/pharmacy_module/lakum/
    - assets/images/nfc/
    - assets/payment_options/

    - assets/images/new/
    - assets/images/new/zoom/
    - assets/images/new/inpatient/
    - assets/images/new/mass/
    - assets/images/new/bottom_nav/
    - assets/images/new/services/
    - assets/images/new/appointment-rating/
    - assets/images/new/payment/
    - assets/images/new/body_parts/
    - assets/images/new/body_parts/male/
    - assets/images/new/body_parts/female/

  fonts:
    - family: WorkSans
      fonts:
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Light_0.eot
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Light_0.otf
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Light_0.ttf
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Light_0.woff
          weight: 300
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Regular.otf
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Regular.ttf
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Regular.woff
          weight: 400
        - asset: assets/fonts/en/WorkSans-Bold/WorkSans-Bold.eot
        - asset: assets/fonts/en/WorkSans-Bold/WorkSans-Bold.otf
        - asset: assets/fonts/en/WorkSans-Bold/WorkSans-Bold.ttf
        - asset: assets/fonts/en/WorkSans-Bold/WorkSans-Bold.woff
          weight: 700

    - family: Cairo
      fonts:
        - asset: assets/fonts/ar/Cairo-Light/Cairo-Light.eot
        - asset: assets/fonts/ar/Cairo-Light/Cairo-Light.otf
        - asset: assets/fonts/ar/Cairo-Light/Cairo-Light.ttf
        - asset: assets/fonts/ar/Cairo-Light/Cairo-Light.woff
          weight: 300

        - asset: assets/fonts/ar/Cairo-Bold/Cairo-Bold.eot
        - asset: assets/fonts/ar/Cairo-Bold/Cairo-Bold.otf
        - asset: assets/fonts/ar/Cairo-Bold/Cairo-Bold.ttf
        - asset: assets/fonts/ar/Cairo-Bold/Cairo-Bold.woff
          weight: 700

    - family: DQIcons
      fonts:
        - asset: assets/app_icons/fonts/DQIcons.ttf

    - family: Poppins
      fonts:
        - asset: assets/fonts/poppins/Poppins-Black.ttf
          weight: 900
        - asset: assets/fonts/poppins/Poppins-ExtraBold.ttf
          weight: 800
        - asset: assets/fonts/poppins/Poppins-Bold.ttf
          weight: 700
        - asset: assets/fonts/poppins/Poppins-SemiBold.ttf
          weight: 600
        - asset: assets/fonts/poppins/Poppins-Medium.ttf
          weight: 500
        - asset: assets/fonts/poppins/Poppins-Regular.ttf
          weight: 400
        - asset: assets/fonts/poppins/Poppins-Light.ttf
          weight: 300
        - asset: assets/fonts/poppins/Poppins-ExtraLight.ttf
          weight: 200
        - asset: assets/fonts/poppins/Poppins-Thin.ttf
          weight: 100